Fetch one assistant's full config
curl --request GET \
--url https://apiv2.vodex.ai/v1/console/assistants/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiv2.vodex.ai/v1/console/assistants/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiv2.vodex.ai/v1/console/assistants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"config": {
"name": "<string>",
"engine": "cascade",
"systemPrompt": "<string>",
"id": "<string>",
"description": "<string>",
"firstMessage": "<string>",
"firstMessageMode": "assistant-speaks-first",
"transcriber": {
"provider": "deepgram",
"model": "flux-general-en",
"language": "en"
},
"model": {
"provider": "google-vertex",
"model": "<string>",
"temperature": 1,
"customEndpointUrl": "<string>"
},
"voice": {
"provider": "cartesia",
"voiceId": "<string>",
"speed": 1.125
},
"startSpeakingPlan": {
"waitSeconds": 0.4,
"smartEndpointing": "stt-native"
},
"stopSpeakingPlan": {
"numWords": 0,
"voiceSeconds": 0.2,
"backoffSeconds": 1
},
"preemptiveGeneration": true,
"recordingEnabled": true,
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {},
"serverUrl": "<string>",
"async": false
}
}
],
"transferPhoneNumber": "<string>",
"voicemail": {
"enabled": true,
"action": "hangup",
"message": "<string>"
},
"smsTool": {
"enabled": false,
"configurationId": "<string>",
"description": "<string>",
"dispatchedMessage": "<string>"
},
"callbackTool": {
"enabled": false,
"description": "<string>",
"failureMessage": "<string>",
"unconfirmedMessage": "<string>",
"pendingMessage": "<string>"
},
"maxDurationSeconds": 300,
"silenceTimeoutSeconds": 30,
"variables": {},
"tenantId": "<string>",
"webhookSecretRef": "<string>"
}
}{
"error": "not found"
}{
"error": "not found"
}Assistants
Fetch one assistant's full config
GET
/
console
/
assistants
/
{id}
Fetch one assistant's full config
Authorizations
Tenant API key (vdx_live_…) as Authorization: Bearer.
Path Parameters
Pattern:
^[a-z0-9][a-z0-9-]{1,60}$